import request from '@/utils/request'

// 获取消息列表
export function getNoticeList(params) {
  return request({
    url: '/notice/list',
    method: 'get',
    params
  })
}
// 获取消息列表详情
export function getNoticeDetail(params) {
  return request({
    url: '/notice/detail',
    method: 'get',
    params
  })
}
// 万能通用附件列表
export function getComListList(params) {
  return request({
    url: '/com/list/list',
    method: 'get',
    params
  })
}
// 下载万能通用列表附件
export function getComListDownload(params) {
  return request({
    url: '/com/list/download',
    method: 'get',
    params
  })
}
// 查收
export function confirmCheck(params) {
  return request({
    url: '/notice/mark/read',
    method: 'post',
    params
  })
}
// 列表
export function getRebateOrderList(params) {
  return request({
    url: '/rebate/order/list',
    method: 'get',
    params
  })
}
// 返利通知获取信息接口
export function getRebateOrderMsg() {
  return request({
    url: '/rebate/order/msg',
    method: 'get'
  })
}
// 路由
export function getRouter(params) {
  return request({
    url: `/admin/user/module/list`,
    method: 'get',
    params
  })
}
// 常用菜单-列表
export function getMenuList(params) {
  return request({
    url: `/admin/module/favorites/list`,
    method: 'get',
    params
  })
}
// 常用菜单-列表
export function setMenuList(params) {
  return request({
    url: `/admin/module/favorites/save`,
    method: 'post',
    params
  })
}

// 物流通知列表
export function getListInvoiceOrder(params) {
  return request({
    url: `/pick/listInvoiceOrder`,
    method: 'get',
    params
  })
}

// 物流通知20秒拉取新消息
export function getListInvoiceOrderTWO(params) {
  return request({
    url: `/pick/listInvoiceOrderTWO`,
    method: 'get',
    params
  })
}

// 订单满货通知
export function getStockCostList(params) {
  return request({
    url: `/stock/cost/list`,
    method: 'get',
    params
  })
}

